> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry reward sync



## OpenAPI

````yaml post /v1/rewards/{id}/sync
openapi: 3.1.0
info:
  title: One of None API
  version: 1.0.0
  description: >-
    The One of None API manages product collections, registrations, short URLs,
    team operations, and rewards used by storefront integrations including
    Shopify discounts and redemption flows.
servers:
  - url: https://api.oneofnone.io
security:
  - ApiKeyAuth: []
paths:
  /v1/rewards/{id}/sync:
    post:
      summary: Retry reward sync
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
        - schema:
            type: string
            enum:
              - shopify
              - stripe
          required: true
          name: system
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Reward'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Reward:
      type: object
      properties:
        id:
          type: string
          format: uuid
        teamId:
          type: string
          format: uuid
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        type:
          type: string
          enum:
            - DISCOUNT
            - GATED_CONTENT
            - FREE_CLAIM
            - EARLY_ACCESS
            - CREDIT
        scope:
          type: string
          enum:
            - sitewide
            - collection
            - product
            - variant
        valueType:
          type: string
          enum:
            - percentage
            - fixed_amount
            - free_shipping
        value:
          type: integer
        minimumPurchase:
          type:
            - integer
            - 'null'
        minimumQuantity:
          type:
            - integer
            - 'null'
        usageLimitTotal:
          type:
            - integer
            - 'null'
        usageLimitPerCustomer:
          type:
            - integer
            - 'null'
        startsAt:
          type: string
        expiresAt:
          type:
            - string
            - 'null'
        stackable:
          type: boolean
        codeType:
          type: string
          enum:
            - automatic
            - global_code
            - unique_codes
        globalCode:
          type:
            - string
            - 'null'
        externalUrl:
          type:
            - string
            - 'null'
        imageId:
          type:
            - integer
            - 'null'
        image:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            url:
              type:
                - string
                - 'null'
          required:
            - id
            - url
        conditions:
          type: object
          additionalProperties: {}
        status:
          type: string
          enum:
            - draft
            - active
            - paused
            - expired
            - archived
        totalRedemptions:
          type: integer
        totalRevenueImpact:
          type: number
        createdAt:
          type: string
        updatedAt:
          type:
            - string
            - 'null'
        externalIds:
          type: array
          items:
            $ref: '#/components/schemas/RewardExternalId'
        access:
          $ref: '#/components/schemas/RewardAccessSummary'
      required:
        - id
        - teamId
        - name
        - description
        - type
        - scope
        - valueType
        - value
        - minimumPurchase
        - minimumQuantity
        - usageLimitTotal
        - usageLimitPerCustomer
        - startsAt
        - expiresAt
        - stackable
        - codeType
        - globalCode
        - externalUrl
        - imageId
        - conditions
        - status
        - totalRedemptions
        - totalRevenueImpact
        - createdAt
        - updatedAt
      additionalProperties: false
    GenericErrorResponse:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        details:
          type: object
          additionalProperties: {}
      required:
        - message
        - code
      additionalProperties: {}
    RewardExternalId:
      type: object
      properties:
        id:
          type: string
          format: uuid
        rewardId:
          type: string
          format: uuid
        system:
          type: string
          enum:
            - shopify
            - stripe
        externalId:
          type: string
        externalCodeId:
          type:
            - string
            - 'null'
        syncedAt:
          type: string
        syncStatus:
          type: string
          enum:
            - synced
            - pending
            - error
        error:
          type:
            - string
            - 'null'
        createdAt:
          type: string
        updatedAt:
          type:
            - string
            - 'null'
      required:
        - id
        - rewardId
        - system
        - externalId
        - externalCodeId
        - syncedAt
        - syncStatus
        - error
        - createdAt
        - updatedAt
      additionalProperties: false
    RewardAccessSummary:
      type: object
      properties:
        qualifies:
          type: boolean
        reasons:
          type: array
          items:
            type: string
      required:
        - qualifies
        - reasons
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````